EventId Class Reference

`#include <eventids.h>`

Collaboration diagram for EventId:

## Public Types

enum | eEventId { Unknown = 0 , evRestart = 1 , Unknown = 0 , evRestart = 1 , Unknown = 0 , evRestart = 1 }
enum | eEventId { Unknown = 0 , evRestart = 1 , Unknown = 0 , evRestart = 1 , Unknown = 0 , evRestart = 1 }
enum | eEventId { Unknown = 0 , evRestart = 1 , Unknown = 0 , evRestart = 1 , Unknown = 0 , evRestart = 1 }

## Detailed Description

This class is responsible to distribute to every event used in the project a different event id.

Only values grater than zero should be used

## Member Enumeration Documentation

## eEventId [1/3]

enum EventId::eEventId

The event identifiers available

Enumerator
Unknown | Unknown event. Must not be used.
evRestart | Restart event.
Unknown | Unknown event. Must not be used.
evRestart | Restart event.
Unknown | Unknown event. Must not be used.
evRestart | Restart event.

## eEventId [2/3]

enum EventId::eEventId

The event identifiers available

Enumerator
Unknown | Unknown event. Must not be used.
evRestart | Restart event.
Unknown | Unknown event. Must not be used.
evRestart | Restart event.
Unknown | Unknown event. Must not be used.
evRestart | Restart event.

## eEventId [3/3]

enum EventId::eEventId

The event identifiers available

Enumerator
Unknown | Unknown event. Must not be used.
evRestart | Restart event.
Unknown | Unknown event. Must not be used.
evRestart | Restart event.
Unknown | Unknown event. Must not be used.
evRestart | Restart event.

The documentation for this class was generated from the following files:

- C:/Users/thomas.sterren/Desktop/PTR_XF_Release/03-release/work/test-bench/test3/src/events/eventids.h
- C:/Users/thomas.sterren/Desktop/PTR_XF_Release/03-release/work/test-bench/test4/src/events/eventids.h
- C:/Users/thomas.sterren/Desktop/PTR_XF_Release/03-release/work/test-bench/test5/src/events/eventids.h